Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBSession

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBSession

public final class DBSession
extends DBBase

Inner Class Summary
`class` | `DBSession.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`int` | `count(DBSystem.Row system)`
`DBSession.Row` | `create(DBUser.Row user, DBApplication.Row application, DBSystem.Row remoteSystem)`
`DBSession.Row` | `create(DBUser.Row user, DBApplication.Row application, DBSystem.Row remoteSystem, int timeout, DBSession.Row orginatingSession)`
`DBSession.Row` | `create(DBUser.Row user, DBApplication.Row application, DBSystem.Row remoteSystem, String sessionNo)`
`DBSession.Row` | `create(DBUser.Row user, DBApplication.Row application, DBSystem.Row remoteSystem, String sessionNo, int timeout)`
`DBSession.Row` | `create(String properties, DBUser.Row user, DBApplication.Row application, DBSystem.Row remoteSystem)`
`DBSession.Row` | `create(String properties, DBUser.Row user, DBApplication.Row application, DBSystem.Row remoteSystem, String sessionNo)`
`DBSession.Row` | `create(String properties, DBUser.Row user, DBInbox.Row inbox, DBApplication.Row application, DBSystem.Row remoteSystem, Date expiryDate, DBSession.Row orginatingSession)`
`DBSession.Row` | `create(String properties, DBUser.Row user, DBInbox.Row inbox, DBApplication.Row application, DBSystem.Row remoteSystem, String sessionNo, Date expiryDate, DBSession.Row orginatingSession)`
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`static String` | `genKey()` Returns a random number
`List` | `get(DBSystem.Row system, DBApplication.Row app)`
`DBSession.Row` | `get(int userId)`
`DBSession.Row` | `get(long sessionId)`
`DBSession.Row` | `get(String sessionNo)`
`List` | `getExpiredSession()`
`List` | `getList(DBInbox.Row inbox, DBUser.Row user)`
`long` | `getMaxSessionId()`
`DBSession.Row` | `getOrginatingSession(DBSession.Row childSession)`
`long` | `getSessionId(int userId)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### genKey

    public static String genKey()

  Returns a random number

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### get

    public DBSession.Row get(long sessionId)
                      throws Exception

### getList

    public List getList(DBInbox.Row inbox,
                        DBUser.Row user)
                 throws Exception

### get

    public DBSession.Row get(int userId)
                      throws Exception

### get

    public DBSession.Row get(String sessionNo)
                      throws Exception

### getSessionId

    public long getSessionId(int userId)
                      throws Exception

### get

    public List get(DBSystem.Row system,
                    DBApplication.Row app)
             throws Exception

### getExpiredSession

    public List getExpiredSession()
                           throws Exception

### getOrginatingSession

    public DBSession.Row getOrginatingSession(DBSession.Row childSession)
                                       throws Exception

### count

    public int count(DBSystem.Row system)
              throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### create

    public DBSession.Row create(DBUser.Row user,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem)
                         throws Exception

### create

    public DBSession.Row create(DBUser.Row user,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem,
                                int timeout,
                                DBSession.Row orginatingSession)
                         throws Exception

### create

    public DBSession.Row create(String properties,
                                DBUser.Row user,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem)
                         throws Exception

### create

    public DBSession.Row create(DBUser.Row user,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem,
                                String sessionNo)
                         throws Exception

### create

    public DBSession.Row create(DBUser.Row user,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem,
                                String sessionNo,
                                int timeout)
                         throws Exception

### create

    public DBSession.Row create(String properties,
                                DBUser.Row user,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem,
                                String sessionNo)
                         throws Exception

### create

    public DBSession.Row create(String properties,
                                DBUser.Row user,
                                DBInbox.Row inbox,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem,
                                Date expiryDate,
                                DBSession.Row orginatingSession)
                         throws Exception

### create

    public DBSession.Row create(String properties,
                                DBUser.Row user,
                                DBInbox.Row inbox,
                                DBApplication.Row application,
                                DBSystem.Row remoteSystem,
                                String sessionNo,
                                Date expiryDate,
                                DBSession.Row orginatingSession)
                         throws Exception

### getMaxSessionId

    public long getMaxSessionId()
                         throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD